﻿@model RealEstate.Models.AllUserAttendenceModel
@{
    ViewBag.Title = "AttendenceList";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


@using (Html.BeginForm("AttendenceList", "Attendence", FormMethod.Post))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })

    <div class="row">
        <div class="col-xl-12 ">
            <div class="card bg-white text-black mb-1">
                <div class="card-body text-center p-0">
                    <div class="row" style="margin-top:1em;">
                        <div class="col-sm-6">
                            <div class="form-group">
                                @Html.LabelFor(model => model.Request_Date, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                <div class="col-md-7 float-right">
                                    @Html.EditorFor(model => model.Request_Date, new { htmlAttributes = new { @class = "form-control datepicker", autocomplete = "off" } })
                                    @Html.ValidationMessageFor(model => model.Request_Date, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6">
                            <div class="form-group">
                                <button type="submit" class="btn btn-primary">Search</button>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
}

<div class="card mb-4">
    <div class="card-header text-center"><h4>Attendence as on: @Model.Request_Date</h4> </div>
    <div class="card-body p-2">
        <div class="datatable table-responsive">
            <div id="dataTable_wrapper" class="dataTables_wrapper dt-bootstrap4">
                <div class="col-sm-12">
                    <table class="table table-striped mydatatable">
                        <thead>
                            <tr>
                                @*<th>Id</th>*@
                                <th>Name</th>
                                <th>Present</th>
                                <th>Leave Allocated</th>
                                <th>Leave Taken</th>
                                <th>Worked On Holiday</th>
                                <th>Remaining Leave</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model.AllUserAttendenceModel_List.OrderBy(x => x.Name))
                            {
                                var badge_class = item.IsUserPresent ? "badge-success" : "badge-danger";
                                var IsUserPresent = item.IsUserPresent ? "Y" : "N";
                            <tr>
                                @*<td>@item.Id</td>*@
                                <td style="color: blue;"><a href="/User/AddEditUser/@item.Id">@item.Name</a> </td>
                                <td><span class="badge @badge_class">@IsUserPresent</span></td>
                                <td>@item.UserLeaveDetail.Leave_Allocated</td>
                                <td>@item.UserLeaveDetail.Leave_Taken</td>
                                <td>@item.UserLeaveDetail.Worked_On_Holiday</td>
                                <td>@item.UserLeaveDetail.Remaining_Leave</td>
                            </tr>
                            }
                        </tbody>

                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="card-footer text-center">
        <a class="btn btn-primary" href="/Attendence/Index/">Back</a>
    </div>
</div>






@section Scripts
{
    <script type="text/javascript">
         
    </script>
}
